adhoc <- read.csv("matrix.csv", header=TRUE)
pc <- prcomp(adhoc, scale=FALSE)

mdat <- matrix(pc$rotation, nrow=6, ncol=6, dimnames=list(c("Length","Mean-square ratio","Steepness","Centroid","Zero crossings","Zero crossings (Schmitt)"), c("PC1","PC2","PC3","PC4","PC5","PC6")))
write.csv(mdat, "pca-unscaled.csv")

write.csv(summary(pc)$importance, "pca-unscaled-sd.csv")

write(pc$rotation, "pca-unscaled-rot.txt")
write(pc$center, "pca-unscaled-center.txt")
