<?php
/**
 * Simple support script that saves two files as a verified
 * duplicate.
 *
 * @author Vegard Andreas Larsen <vegarl@stud.ntnu.no>
 */
require_once('include/include.php');

$oDB = CDatabase::Get();

$st = $oDB->prepare(
    'INSERT IGNORE INTO tblVerifiedMatch (ixFile1, ixFile2) VALUES (?, ?)', 
    array('integer', 'integer'), MDB2_PREPARE_MANIP);

/*
 * We get multiple values as an array of strings.
 */
if (isset($_POST['match']))
{
    $rgMatch = $_POST['match'];
    foreach ($rgMatch as $value)
    {
        // The strings are splittable by a hyphen
        list($ixFile1, $ixFile2) = split('-', $value);
        $st->execute(array($ixFile1, $ixFile2));
    }
}

/*
 * Someone might want us to send the user back afterwards.
 */
if (isset($_POST['redirect_to']))
{
    header('Location: '.$_POST['redirect_to']);
    die();
}
?>
