#! /usr/bin/perl
use strict;
use warnings;

my @success = (0) x 7;
my @total = (0) x 7;

for my $file (@ARGV) {
	open FILE, "<", $file
		or die "$file: $!";

	my $i = 0;
	while (<FILE>) {
		/(\d+) (\d+)/ or die "Unexpected line: $_";
		$success[$i] += $1;
		$total[$i] += $2;
		++$i;
	}

	close FILE;

	printf "%.10f\n", ($success[6] / $total[6]);
}

