#ifndef _MFCC_H
#define _MFCC_H 1

#include "common.h"
#include <fftw3.h>

extern fftw_plan fft_plan, dct_plan;
extern double *fft_in;
extern std::complex<double> *fft_out;
extern double *mfcc_in, *mfcc_out;
extern double *window;

void init_mfcc();
void find_mfcc(Sample &s);

#endif /* !defined(_MFCC_H) */
